services:
    lifestyle.webservice.error.trackid:
        class: LifeStyle\Tools\WebserviceBundle\Error\TrackId
        tags:
            - { name: monolog.processor, method: processRecord }
    lifestyle.webservice.response.builder:
        class: LifeStyle\Tools\WebserviceBundle\Response\Builder
        arguments: ["@lifestyle.webservice.error.trackid"]
    lifestyle.webservice.error.storage:
        class: LifeStyle\Tools\WebserviceBundle\Error\Storage
        arguments: ["@lifestyle.webservice.response.builder"]
    lifestyle.webservice.exception.listener:
        class: LifeStyle\Tools\WebserviceBundle\EventListener\WsExceptionListener
        arguments: ["@lifestyle.webservice.response.builder", "@kernel"]
        tags:
            - { name: kernel.event_listener, event: kernel.exception, method: onKernalException }
    lifestyle.webservice.logger.listener:
        class: LifeStyle\Tools\WebserviceBundle\EventListener\WsLoggerListener
        tags:
            - { name: kernel.event_subscriber }
        arguments: ["@logger"]
    lifestyle.webservice.logger.formatter:
        class: Monolog\Formatter\LineFormatter
        arguments:
            - "[%%datetime%%] [%%extra.token%%] %%channel%%.%%level_name%%: %%message%%\n"
            - "Y-m-d H:i:s"
            - true
